import Foundation
import App

abbrev = 'Archer_TOS'
iconName = 'Archer_TOS'
longName = 'Archer Class'
shipFile = 'Archer_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = 'Federation'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Archer_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Archer_TOS.fMaxWarp = 8.0
Foundation.ShipDef.Archer_TOS.fCruiseWarp = 6.0
Foundation.ShipDef.Archer_TOS.fWarpEntryDelayTime = 2.0
Foundation.ShipDef.Archer_TOS.sBridge = 'Constitutionbridge'
Foundation.ShipDef.Archer_TOS.desc = 'In 2265 the "nearly new" Sagittarius (NCC-1894) was assigned to Starbase 47 (aka Vanguard Station), under the command of  Captain Nassir. The ship was an Archer-class scout vessel, a long-range outrider with just fourteen personnel aboard. The  ship is named for the Sagittarius constellation.\n\nThe Archer-class was a type of Federation Starfleet scout vessel in service at least in the 2260s. Archer-class ships were  designed to go "very far, very fast, and not be noticed." They go "to the edge of nowhere and peek behind the curtains."\n\nThe ships are small and cramped (50 meters). Of the crew of 14, only the captain and first officer have their own quarters.  The remainder of the crew shares 4 single-bed compartments by "hot bunking". The ship is also too small to have a turbolift  system, instead crew rely on ladders to travel between decks. Archer-class ships have the ability to land.  The structure  aft of the deflector stows a long footpad, and two landing struts deploy from the underside of the saucer, directly behind  the port and starboard hatches.'

if menuGroup:           Foundation.ShipDef.Archer_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Archer_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


